#ifndef __EPGSEARCHRES_H
#define __EPGSEARCHRES_H

#include <vdr/menuitems.h>
#include <vdr/recording.h>
#include "epgsearchext.h"
#include "blacklist.h"
#include "templatefile.h"

typedef enum
{
    showTitleEpisode,
    showEpisode
} ModeYellowSR;

typedef enum
{
    showAll,
    showNoPayTV,
    showTimerPreview
} ModeBlueSR;

// --- cMenuSearchResultsItem ------------------------------------------------------
class cMenuSearchResultsItem : public cOsdItem {
    char *fileName; // for search in recordings
    bool previewTimer;
    bool episodeOnly;
    cMenuTemplate* menuTemplate;
 public: 
    int timerMatch;
    const cEvent *event;
    const char *FileName(void) { return fileName; }
    cMenuSearchResultsItem(const cEvent *EventInfo, bool EpisodeOnly = false, bool PreviewTimer = false, cMenuTemplate* MenuTemplate = NULL);
    cMenuSearchResultsItem(cRecording *Recording);
    bool Update(bool Force = false);
};

class cMenuSearchResults : public cOsdMenu {
    friend class cMenuFavorites;
 private:
    cSearchExt* searchExt;
    cBlacklist* blacklist;
    cMenuTemplate* menuTemplate;
    virtual bool BuildList(bool IgnoreRunnig = false);
    bool BuildSearchlist(bool IgnoreRunnig = false);
    bool BuildBlacklist(bool IgnoreRunnig = false);
    bool ScanRecordings(void);
    virtual eOSState ProcessKey(eKeys Key);
    eOSState ShowSummary(void);
    eOSState Record(void);
    virtual void SetHelpKeys(void);
    eOSState Switch(void);
    eOSState Commands(eKeys Key);
    eOSState Play(void);
    cRecording *GetRecording(cMenuSearchResultsItem *Item);
    int GetTab(int Tab);
    bool Update(void);
    
    static const cEvent *scheduleEventInfo;
    bool m_bSearchInRecordings;
    ModeYellowSR modeYellow;
    ModeBlueSR modeBlue;
 public:
    char *m_pSearchString;
    bool m_bSort;
    
    cMenuSearchResults(const char *p2, cMenuTemplate* MenuTemplate, bool bSearchInRecordings = false);
    cMenuSearchResults(cSearchExt*, cMenuTemplate* MenuTemplate);
    cMenuSearchResults(cBlacklist*, cMenuTemplate* MenuTemplate);
    cMenuSearchResults(cMenuTemplate* MenuTemplate);
    ~cMenuSearchResults();
};

#endif
